Forum général.cherche-matériel logiciel de facturation

Posté par  . Licence CC By‑SA.
Étiquettes : aucune
1
18
nov.
2016

Bonjour tout le monde,

pour la gestion d'une association, je recherche un logiciel permettant de générer des factures pour un certain nombre de services vendus (des repas, des photos, des déplacements…). J'ai une base de clients que je souhaiterais importer, ainsi qu'une base de services (plus petite), sous forme de fichier csv/tableur.
J'ai regardé odoo ainsi que bitrix24, mais ça me semble trop complet et peu simple à installer.

Que pouvez vous me conseiller, à installer facilement sur un poste linux, pour faire cela simplement. Et si le trésorier de l'association vient à changer, comment se passe la migration d'un poste à l'autre? Les factures sont-elles facilement configurables ?

merci pour vos retours

PS: au premier abord, je trouve que l'installation odoo n'est pas simple, mais peut-être allez vous me convaincre du contraire.

  • # Dolibarr

    Posté par  . Évalué à 4.

    Me semble tout à fait convenir

    https://www.dolibarr.org

    • [^] # Re: Dolibarr

      Posté par  . Évalué à 1.

      Bonjour,

      c'est une bonne idée, malheureusement, sur mon ubuntu 16, la configuration se passe très mal:

      SQL Error DB_ERROR_SYNTAX You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'virtual tinyint DEFAULT 0 NOT NULL, fk_parent integer DEFAULT 0, ' at line 11

      La version installée est 5.7.16-0ubuntu0.16.04.1.

      • [^] # Re: Dolibarr

        Posté par  . Évalué à 1.

        et tu tentes de l'installer comment ?

        sur ma ubuntu 16.04 un simple aptitude install dolibarr semble pouvoir m'installer cela par le gestionnaire de paquet.

        • [^] # Re: Dolibarr

          Posté par  . Évalué à -1.

          oui, j'ai fait comme ça. Ensuite, la configuration se fait en allant sur localhost/dolibarr avec le navigateur, ça lance tout un tas de tests et scripts de configuration, et je pense qu'il y en a un qui plante dans une création de base.
          Je suis un peu déçu parce que ça fait partie malheureusement des raisons pour lesquelles certains disent que linux (et son écosystème) n'est pas prêt pour le desktop. Et je ne peux pas leur donner tout à fait tort.

          • [^] # Re: Dolibarr

            Posté par  (site Web personnel) . Évalué à 2. Dernière modification le 18/11/16 à 17:23.

            Ca n'a probablement pas grand chose à voir avec le Destop.

            • [^] # Re: Dolibarr

              Posté par  . Évalué à 1.

              certes, mais c'est très agaçant. C'est dans les paquets, tu as envie que ça fonctionne out-of-the-box… et j'ai pas envie de me lancer dans du debug sql.

          • [^] # Re: Dolibarr

            Posté par  (site Web personnel) . Évalué à 2.

            Bien sur, tu utilises MariaDB à la place de Mysql qui est complètement bugué.

            C'est tout de même curieux d'installer un logiciel comme Dolibarr à partir des dépôts… c'est pas toujours simple de gérer proprement les dépendances…

            Pourtant, il te suffit de SAVOIR installer un serveur Web, d'installer une base de donnée, et d'installer les fichiers de Dolibarr, et hop!

            Le problème avec les paquets, c'est que s'il y a longtemps tu as installé d'autres paquets qui configurent un serveur web, tu es presque certain qu'un truc va foirer.

            Si tu n'es pas prêt pour Linux, tu peux installer Doliwamp sous Windows, mais c'est pas du tout sécure d'utiliser Doliwamp parce que cette version n'est pas faite pour.

            Dolibarr en est à la version 4, avec beaucoup de bonne choses. Les paquets stables sont Dolibarr 3.5… fossile …

            Pourquoi bloquer la publicité et les traqueurs : https://greboca.com/Pourquoi-bloquer-la-publicite-et-les-traqueurs.html

            • [^] # Re: Dolibarr

              Posté par  . Évalué à 2.

              C'est vrai que je n'ai pas eu le réflexe d'installer MariaDB. Mais je ne comprends pas ta réflexion sur les dépôts. Pour moi, c'est une certaine garantie d'avoir une homogénéité et une standardisation dans l'installation. Et aussi une certaine facilité.

              Ensuite, je trouve que par rapport à mon besoin (gérer une petite centaine de factures par mois), l'installation d'un server web est un peu trop demander… non pas que je ne sache/puisse pas faire, mais le jour où je transmets la trésorerie, je ne pense pas que le suivant veuille s'y mettre.

              C'est pour ça que je suis un peu déçu. Peut-être en regardant du côté de libreoffice…

            • [^] # Re: Dolibarr

              Posté par  . Évalué à 2.

              Pourtant, il te suffit de SAVOIR installer un serveur Web, d'installer une base de donnée, et d'installer les fichiers de Dolibarr, et hop!

              ben c'est que font les paquets,
              et c'est apres que ca semble merdé chez lui, quand il se connecte à l'interface pour demarrer l'installation/configuration de base.

              • [^] # Re: Dolibarr

                Posté par  (site Web personnel) . Évalué à 3.

                et sachant que MySQL est bugué, et qu'une des solutions est d'utiliser MariaDB… ça peut probablement régler le problème. Autant essayer.

                Enfin, via les paquets, oui, ça fait tout, mais s'il y a d'autres paquets dépendant de l'installation de serveur web, ça coince, souvent (conflicts etc).
                Bon, là, le problème est plutôt au niveau de MySQL avec une erreur de syntaxe, donc problème MySQL (version, bug etc.)

                Pourquoi bloquer la publicité et les traqueurs : https://greboca.com/Pourquoi-bloquer-la-publicite-et-les-traqueurs.html

                • [^] # Re: Dolibarr

                  Posté par  . Évalué à 3.

                  Bon, là, le problème est plutôt au niveau de MySQL avec une erreur de syntaxe, donc problème MySQL (version, bug etc.)

                  ou une erreur dans le script d'installation fournit par Dolibarr, qui n'a pas testé la syntaxe sur toutes les versions de Mysql/MariaDB

      • [^] # Re: Dolibarr

        Posté par  . Évalué à 2. Dernière modification le 19/11/16 à 15:38.

        il semblerait que ta version de MySQL ne soit pas adapté à ta version de Dolibarr,
        erreur de packaging de la distro ou bien de choix de paquet par l'utilisateur ?

        Ici, on semble indiquer qu'avec MariaDB ça passe

        une instruction sql de l'install de Dolibarr utilise un mot (virtual) qui est réservé…

        cela dit, je vais faire mon rabat joie : si ton association est en France, à cause de la loi finance 2016, tu n'auras pas le droit d'utiliser un logiciel de facturation non certifié (aux dernières nouvelles, Dolibarr n'avait pas encore trouvé une réponse à cette problématique) et ni celui de faire tes factures avec libreoffice (ni excel)
        (en Belgique il y a une loi équivalente, mais qui est peut-être limitée aux logiciels de caisse)

        Envoyé depuis mon Archlinux

        • [^] # Re: Dolibarr

          Posté par  . Évalué à 1.

          Finalement, comme j'avais un base postgres qui tournait, j'ai réussi à configurer dolibarr pour l'utiliser. Ce n'est pas vraiment donné à tout le monde.

          Pour l'histoire de la loi de finance, je vais me renseigner, merci.

          • [^] # Re: Dolibarr

            Posté par  . Évalué à 2.

            à propos de la loi finance, il y a eu plusieurs post sur linuxfr,

            l'april a une page sur le sujet aussi, mais elle ne vit pas beaucoup depuis plusieurs mois…

            tu trouveras aussi des discussion dans les forums de Dolibarr FR et probablement d'autres projets libres (Pastèque par exemple) de cette catégorie qui ont des communautés françaises et vont se trouver avec le même problème

            Envoyé depuis mon Archlinux

            • [^] # Re: Dolibarr

              Posté par  . Évalué à 1.

              merci pour toutes vos informations.

              A bientôt

Suivre le flux des commentaires

Note : les commentaires appartiennent à celles et ceux qui les ont postés. Nous n’en sommes pas responsables.